Установка ruby gem less-rails на машине Windows с помощью therubyracer

с тех пор я пытаюсь установить гем менее-рельсов на моем компьютере с Windows7.

Мне уже удалось установить нужный therubyracer.gem, используя этот двоичный файл:https://github.com/stereobooster/therubyracer/downloads

Я также скачал v8.dll и положил в свой каталог ruby / bin. Пока все работает хорошо, установка пакета идет, и сервер запускается без проблем.

Но как только я запрашиваю страницу, используя меньший файл, я получаю следующее сообщение об ошибке

неопределенный метод `in_javascript? ' для # "<"V8 :: Ошибка: [объект объекта]>

Мой css.file почти пуст

/*
*= require 'custom_less/custom'
*= require 'jquery-ui-1.8.24.custom'
*/

Custom.css.less выглядит так

@import "twitter/bootstrap/reset";
@import "twitter/bootstrap/variables";
@import "custom_less/variables";                 // Your own variable overrides.
@import "twitter/bootstrap/mixins";
@import "custom_less/mixins";                    // Your own mixin.
@import "twitter/bootstrap/scaffolding";
@import "twitter/bootstrap/grid";
@import "twitter/bootstrap/layouts";
//import of further bootstrap components
//but nothing else

Я использую установщик rails с ruby 1.9.3.

Существует не так много описания проблем, как это. Все, что я нашел, было решено обновлением по крайней мере до ruby 1.9.2. Но это, к сожалению, не решение для меня. У кого-нибудь есть идея?

Спасибо

Ответы на вопрос(2)

проб и ошибок кажется, что на платформе Windows сейчас не работает меньше.

Поэтому мое решение - использовать вместо этого самоцвет bootstrap-sass-rails. Это работает довольно хорошо.

 James Binford04 мая 2014 г., 03:01
Если ты'работает на Windows, therubyracer будет проблематичным. bootstrap-sass-rails творит чудеса и без дополнительной настройки!
Загрузите этот файл:https://github.com/hiranpeiris/therubyracer_for_windows/archive/master.zipИзвлеките его в папку и перейдите в эту папку.Установите gem-файл в эту папкуgem install therubyracer*В папке 2 dll файла. Скопируйте их в папку ruby / bin.Добавьте это к вашему Gemfile: `gem 'therubyracer»bundle install

 t q28 мая 2015 г., 17:53
почтовый индекс не работает!
 rony3603 авг. 2013 г., 09:16
ты просто спасатель жизни. Спасибо, братан, спасибо большое. Собираюсь в закладки эту ветку. :)
 James Binford04 мая 2014 г., 02:24
Год спустя выМы сэкономили мне значительное количество времени. Ура!
 Mini John25 июл. 2013 г., 07:34
это напугало меня часами !!! Спасибо Зухайб
 Quv25 янв. 2014 г., 17:24
Я понизил это, так как, хотя он, видимо, работал до недавнего времени, он нет, по крайней мере, дляWindows 7 64bit, в этот момент. Я в конечном итоге не использую.Less
 Zuhaib Ali26 янв. 2014 г., 07:21
В самом деле. Безразлично»Кажется, больше не работает. Я в конечном итоге с помощьюsass тоже.
 roman-roman17 июн. 2013 г., 11:14
Спасибо, сработало отлично!

Ваш ответ на вопрос